FASTAQ-SEQUENCE_TRIM(1)

NAME
fastaq_sequence_trim - Trim exact matches to a given string off the start of every sequence

DESCRIPTION
usage: fastaq_sequence_trim [options] <infile_1> <infile_2> <outfile_1> <outfile_2> <trim_seqs>

Trims sequences off the start of all sequences in a pair of sequence files, whenever there is a perfect match. Only keeps a read pair if both reads of the pair are at least a minimum length after any trimming

  positional arguments:

infile_1
    Name of forward fasta/q file to be trimmed

infile_2
    Name of reverse fasta/q file to be trimmed

outfile_1
    Name of output forward fasta/q file

outfile_2
    Name of output reverse fasta/q file

trim_seqs
    Name of file of sequences to search for at the start of each input sequence

  options:

-h, --help
    show this help message and exit

--min_length INT
    Minimum length of output sequences [50]

--revcomp
    Trim the end of each sequence if it matches the reverse complement. This option is intended for PCR primer trimming